#include <QtGui>

#include "window.h"

Window::Window(QWidget *parent)
    : QDialog(parent)
{
	setupUi(this);

	appPath = QApplication::applicationDirPath();

	connect(pButton, SIGNAL(clicked()), this, SLOT(build()));

	connect(pLineEdit, SIGNAL(editingFinished()), this, SLOT(pathChanged()));

}

Window::~Window(void)
{
}

bool Window::createPath(QString path)
{
	if(!QDir(path).exists())
	{
		QMessageBox::StandardButton reply;
		reply = QMessageBox::question(this, tr("Folder does not exist"), "Folder " + path + " does not exist. Do you want to create it?", QMessageBox::Yes | QMessageBox::No);
		if (reply == QMessageBox::Yes)
		{
			QDir dir;
			dir.mkpath(path);
		}
	}

	return true;
}

void Window::pathChanged()
{
	createPath(pLineEdit->text());
	pStatusLineEdit->setText("PathChanged!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!");
}

void Window::build()
{
	pStatusLineEdit->setText("Button pressed!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!");
}